RUST_LOG=warn,api=info

NGINX_HOST=localhost
NGINX_SSL_ENABLED=false
NGINX_PROTOCOL=http
NGINX_HTTP_PORT=8080
NGINX_HTTPS_PORT=8443
# Set to 'localhost' or 'host.docker.internal' or '172.17.0.1'
NGINX_INTERNAL_HOST=host.docker.internal

POSTGRES_HOST=localhost
POSTGRES_USER=aviation
POSTGRES_PASSWORD=CHANGEME
POSTGRES_NAME=aviation
POSTGRES_PORT=5432

REDIS_HOST=localhost
REDIS_PORT=6379

MINIO_HOST=localhost
MINIO_ROOT_USER=aviation
MINIO_ROOT_PASSWORD=CHANGEME
MINIO_BUCKET=aviation
MINIO_PROTOCOL=http
MINIO_PORT=9000
MINIO_INTERNAL_PORT=9001
MINIO_BROWSER_REDIRECT_URL=${NGINX_PROTOCOL}://${NGINX_HOST}:${NGINX_HTTP_PORT}/minio/

UI_PORT=3000
API_PORT=5000
API_METAR_TIME_OFFSET=1800

SSL_CA_NAME=ca
SSL_CA_PATH=../ssl/${SSL_CA_NAME}.pem
SSL_CERT_PATH=../ssl/localhost.crt
SSL_CERT_KEY_PATH=../ssl/localhost.key

VITE_API_URL=${NGINX_PROTOCOL}://${NGINX_HOST}:${NGINX_HTTP_PORT}/api
VITE_DEFAULT_LIMIT=200
__VITE_ADDITIONAL_SERVER_ALLOWED_HOSTS:${NGINX_HOST}

ENVIRONMENT=development
ADMIN_EMAIL=admin@example.com
ADMIN_PASSWORD=CHANGEME

AVIATION_WEATHER_URL=https://aviationweather.gov/api/data
